KCMShell Class Reference

`#include <main.h>`

Inherits KApplication.

## Public Member Functions

void | setDCOPName (const QCString &dcopName, bool rootMode)
void | waitForExit ()
bool | isRunning ()

## Detailed Description

The KApplication instance for kcmshell.

Definition at line 33 of file main.h.

## Member Function Documentation

bool KCMShell::isRunning | ( |  | ) |

Returns
  true if the shell is running

Definition at line 118 of file main.cpp.

void KCMShell::setDCOPName | ( | const QCString & | dcopName,
|  | bool | rootMode
| ) |  |

Sets m_dcopName basically to `dcopName`, and then registers with DCOP.

Parameters

  dcopName | name to set the DCOP name to
  rootMode | true if the kcmshell is embedding

Definition at line 158 of file main.cpp.

void KCMShell::waitForExit | ( |  | ) |

Waits until the last instance of kcmshell with the same module as this one exits, and then exits.

Definition at line 169 of file main.cpp.

The documentation for this class was generated from the following files:

- main.h
- main.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys